### Virtual Method

# WPEPlatform Display create_toplevel

#### Declaration [src]

    WPEToplevel*
    create_toplevel (
      WPEDisplay* display,
      guint max_views
    )

#### Description [src]

Create a new `WPEToplevel` on `display` with `max_views` allowed. The parameter `max_views` will be ignored if `display` doesn’t support multiple views per toplevel. This function returns `NULL` if the platform implementation doesn’t support explicit creation of `WPEToplevel`.

#### Parameters

`max_views`

  Type: `guint`

  The maximum number of views allowed, or 0 for no limit.

#### Return value

Type: `WPEToplevel`

A new `WPEToplevel` or `NULL` if not supported.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.